Backed out changeset 24ddf11d9c1d (bug 1159999) for spidermonkey test failures on a CLOSED TREE
authorCarsten "Tomcat" Book <cbook@mozilla.com>
Thu, 30 Apr 2015 12:53:18 +0200
changeset 241783 ef0857b200ae114fd64199fc21ab83ba929cb280
parent 241782 1f42bc6b4b8c3177798b38ede9478f3b9fe2f584
child 241784 cb30607041e5729bfcf299d8aa3cc5060cd8f396
push id28669
push userryanvm@gmail.com
push dateThu, 30 Apr 2015 17:57:05 +0000
treeherdermozilla-central@7723b15ea695 [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
bugs1159999
milestone40.0a1
backs out24ddf11d9c1dd8f1330d2cd9d4213cb8eef92afa
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Backed out changeset 24ddf11d9c1d (bug 1159999) for spidermonkey test failures on a CLOSED TREE
js/src/devtools/automation/autospider.sh
--- a/js/src/devtools/automation/autospider.sh
+++ b/js/src/devtools/automation/autospider.sh
@@ -1,14 +1,11 @@
 #!/bin/bash
-
-# Note that the -x will be temporarily cancelled and reinstated below, so if
-# you want to eliminate this, you'll need to eliminate it there too.
+set -e
 set -x
-set -e
 
 DIR="$(dirname $0)"
 ABSDIR="$(cd $DIR; pwd)"
 SOURCE="$(cd $DIR/../../../..; pwd)"
 
 function usage() {
   echo "Usage: $0 [--dep] <variant>"
 }
@@ -141,19 +138,17 @@ RUN_JSTESTS=true
 
 PARENT=$$
 
 # Spawn off a child process, detached from any of our fds, that will kill us after a timeout.
 # To report the timeout, catch the signal in the parent before exiting.
 sh -c "sleep $TIMEOUT; kill -INT $PARENT" <&- >&- 2>&- &
 KILLER=$!
 disown %1
-set +x
 trap "echo 'TEST-UNEXPECTED-FAIL | autospider.sh $TIMEOUT timeout | ignore later failures' >&2; exit 1" INT
-set -x
 
 # If we do *not* hit that timeout, kill off the spawned process on a regular exit.
 trap "kill $KILLER" EXIT
 
 if [[ "$VARIANT" = "rootanalysis" ]]; then
     export JS_GC_ZEAL=7
 
 elif [[ "$VARIANT" = "compacting" ]]; then